Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::CommonReference Struct Reference
Utility » Concepts

## Public Types
template<typename T , typename U , typename... Rest>
using | reference_t = common_reference_t< T, U, Rest... >

## Public Member Functions
template<typename T , typename U >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Same, reference_t< T, U >, reference_t< U, T >>(), concepts::model_of< ConvertibleTo, T, reference_t< T, U >>(), concepts::model_of< ConvertibleTo, U, reference_t< T, U >>()))
template<typename T , typename U , typename... Rest, typename CommonReference_ = CommonReference>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< CommonReference_, T, U >(), concepts::model_of< CommonReference_, reference_t< T, U >, Rest... >()))